---
title: "Reprint"
source_url: https://docs.rapyd.net/en/reprint.html
lang: en
---

# Reprint

Send a request to reprint a receipt of a previous sale from a PAX POS device

For a reprint request, the client must provide the `uti` (Unique Transaction Identifier) from the original transaction and specify the `receiptType` to indicate which receipt should be printed (**NONE**, **CARDHOLDER_RECEIPT**, or **MERCHANT_RECEIPT**).

### Parameters

### Request Header Parameters

- - X-API-KEY
  - Unique access key provided by Rapyd for each partner.

### Request Body Parameters

- - receiptType
  - One of the following values:

    - NONE
    - CARDHOLDER_RECEIPT
    - MERCHANT_RECEIPT

- - uti
  - An id provided by the POS in a sale response. Used for message matching in a reprint.

- - pollId
  - The ID used to poll after a terminal response.

- - deviceToken
  - The token of a PAX POS device.

- - correlationId
  - An ID provided by the caller. Will be returned in the callback for message matching. In a cancel request, use the value from the sale/refund that is being cancelled.

- - terminalId
  - If terminal has more than one merchant, this field is used to identify the merchant. To get a list of merchants, use the requestMerchantConfig request. Value can be null.

- - timeToLive
  - The maximum time, in seconds, for a request to reach the physical terminal. The default value is 5 seconds.

### 202 Accepted Response

- - message
  - Accepted

### 400 Error Response

- - type
  - Example: https://tools.ietf.org/html/rfc7231#section-6.5.1

- - title
  - One or more validation errors occurred.

- - status
  - 400

- - errors
  - Object with one or more errors. Example: "The Uti field is required."

### 401 Unauthorized Response

- - message
  - Unauthorized.

### 500 Error Response

- - message
  - Server Error

- /reprint

- 202 Reprint Accepted
- ```curl
  curl -X
  post https://CloudLinkApi/reprint
  -H 'X-API-KEY: your-access-key-here'
  -d '
  {
      "receiptType": "CARDHOLDER_RECEIPT",
      "uti": "83EF00C9-8A86-4E84-8E05-35B7B4358566",
      "callbackUrl": "http://example.com/webhook-endpoint",
      "deviceToken": "b16526c3447ba6cea4818d",
      "correlationId": "011182D3-A941-4207-9905-D7770347D492",
      "timeToLive": 5,
      "terminalId": null
  }
  ' 
  ```
- ```json
  {
    "message": "Accepted"
  }
  ```

- 400 Error Response
- ```curl
  curl -X
  post https://CloudLinkApi/reprint
  -H 'X-API-KEY: your-access-key-here'
  -d '
  {
      "receiptType": "CARDHOLDER_RECEIPT",
      "uti": "83EF00C9-8A86-4E84-8E05-35B7B4358566",
      "callbackUrl": "http://example.com/webhook-endpoint",
      "deviceToken": "b16526c3447ba6cea4818d",
      "correlationId": "011182D3-A941-4207-9905-D7770347D492",
      "timeToLive": 5,
      "terminalId": null      
  }
  ' 
  ```
- ```json
   {
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
    "title": "One or more validation errors occurred.",
    "status": 400,
    "errors": {
      "Uti": [
        "The Uti field is required."
      ]
    }
  }
  ```

- 401 Unauthorized
- ```curl
  curl -X
  post https://CloudLinkApi/reprint
  -H 'X-API-KEY: your-access-key-here'
  -d '
  {
      "receiptType": "CARDHOLDER_RECEIPT",
      "uti": "83EF00C9-8A86-4E84-8E05-35B7B4358566",
      "callbackUrl": "http://example.com/webhook-endpoint",
      "deviceToken": "b16526c3447ba6cea4818d",
      "correlationId": "011182D3-A941-4207-9905-D7770347D492",
      "timeToLive": 5,
      "terminalId": null
  }
  ' 
  ```
- ```json
  {
    "message": "Unauthorized"
  }
  ```

- 500 Server Error
- ```curl
  curl -X
  post https://CloudLinkApi/reprint
  -H 'X-API-KEY: your-access-key-here'
  -d '
  {
      "receiptType": "CARDHOLDER_RECEIPT",
      "uti": "83EF00C9-8A86-4E84-8E05-35B7B4358566",
      "callbackUrl": "http://example.com/webhook-endpoint",
      "deviceToken": "b16526c3447ba6cea4818d",
      "correlationId": "011182D3-A941-4207-9905-D7770347D492",
      "timeToLive": 5,
      "terminalId": null 
  }
  ' 
  ```
- ```json
  {
    "message": " Server Error"
  }
  ```
